### Method

# Gio Settings bind_with_mapping_closures

since: 2.82

#### Declaration [src]

    void
    g_settings_bind_with_mapping_closures (
      GSettings* settings,
      const char* key,
      GObject* object,
      const char* property,
      GSettingsBindFlags flags,
      GClosure* get_mapping,
      GClosure* set_mapping
    )

#### Description [src]

Version of `g_settings_bind_with_mapping()` using closures instead of callbacks for easier binding in other languages.

Available since: 2.82

This method is renamed to `g_settings_bind_with_mapping()` in language bindings.

#### Parameters

`key`

  Type: `const char*`

  The key to bind.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`object`

  Type: `GObject`

  The object with property to bind.

  The data is owned by the caller of the method.

`property`

  Type: `const char*`

  The name of the property to bind.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GSettingsBindFlags`

  Flags for the binding.

`get_mapping`

  Type: `GClosure`

  A function that gets called to convert values from `settings` to `object`, or `NULL` to use the default GIO mapping.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`set_mapping`

  Type: `GClosure`

  A function that gets called to convert values from `object` to `settings`, or `NULL` to use the default GIO mapping.

  The argument can be `NULL`.
  The data is owned by the caller of the method.